<?

$q=mysql_query("SELECT * FROM `cron` WHERE `id` = 'clear_tmp_dir'");


if (mysql_num_rows($q)==0)mysql_query("INSERT INTO `cron` (`id`, `time`) VALUES ('clear_tmp_dir', '".time()."')");

$clear_dir = mysql_fetch_array($q);


if ($clear_dir==NULL || $clear_dir['time']<time()-60*60*24){
mysql_query("UPDATE `cron` SET `time` = '".time()."' WHERE `id` = 'clear_tmp_dir'");
include_once H.'sys/fnc/delete_dir.php';

$od=opendir(H.'sys/tmp/');
while ($rd=readdir($od))
{
if (!ereg('^\.',$rd) && fileatime(H.'sys/tmp/'.$rd)<time()-60*60*24)
{
@delete_dir(H.'sys/tmp/'.$rd);
}


}



}
?>